## org.biojava.bio.seq.io
Class GenEmblPropertyComparator

    java.lang.Object
      org.biojava.bio.seq.io.GenEmblPropertyComparator

All Implemented Interfaces:
  Comparator

Deprecated. Use org.biojavax.bio.seq.io framework instead

    public final class GenEmblPropertyComparator

extends Object
implements Comparator

`GenEmblPropertyComparator` compares Genbank/EMBL file format tags by the order in which they should appear in their respective formats.

EMBL tags sort before Genbank tags. This is arbitrary. Given the subtle differences in the values accompanying equivalent tags in these formats the two sets shouldn't be mixed anyway.

Any tags which belong to neither set sort before anything else.

Author:
  Keith James

Field Summary
`static Comparator` `INSTANCE` Deprecated.

Method Summary
`int` `compare(Object o1, Object o2)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### INSTANCE

    public static final Comparator INSTANCE

  Deprecated.

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Deprecated.
  Specified by:
    `compare` in interface `Comparator`